/**
 * 虹膜采集相关接口
 */
import request from '@/utils/request'
// import qs from 'qs'
import Vue from 'vue'

// 人证核验
export function verify(data) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'recognition/verify',
    method: 'post',
    data
  })
}

// 新增采集日志基础信息（第一步提交）
export function addCollectLog(data) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'irisDataLog/add',
    method: 'post',
    data
  })
}

// 新增采集日志基础信息（第一步提交）
export function addIrisData(data) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'irisData/add',
    method: 'post',
    data
  })
}
